package javax.print.attribute;

import java.io.Serializable;

public abstract class IntegerSyntax implements Serializable, Cloneable
{
    private static final long serialVersionUID = 3644574816328081943L;
    private int value;
    
    protected IntegerSyntax(int value) {
        this.value = value;
    }
    
    protected IntegerSyntax(int n, int i, int j) {
        if (i > n || n > j) {
            throw new IllegalArgumentException("Value " + n + " not in range " + i + ".." + j);
        }
        this.value = n;
        return;
    }
    
    public int getValue() {
        return this.value;
    }
    
    @Override
    public boolean equals(Object o) {
        return o != null && o instanceof IntegerSyntax && this.value == ((IntegerSyntax)o).value;
    }
    
    @Override
    public int hashCode() {
        return this.value;
    }
    
    @Override
    public String toString() {
        return "" + this.value;
    }
}
